• Full name: \App\Infrastructure\Http\Controllers\ExtensionInstallerController
  • This class is marked as final and can't be subclassed
  • This class is a Final class

Methods

plugins

public plugins(): \Psr\Http\Message\ResponseInterface

Throws:


themes

public themes(): \Psr\Http\Message\ResponseInterface

Throws:


install

public install(\Qubus\Http\ServerRequest $request): \Psr\Http\Message\ResponseInterface

Parameters:

Parameter Type Description
$request \Qubus\Http\ServerRequest

Throws:


remove

public remove(\Qubus\Http\ServerRequest $request): \Psr\Http\Message\ResponseInterface

Parameters:

Parameter Type Description
$request \Qubus\Http\ServerRequest

Throws:


assertPackageExistsInRegistry

private assertPackageExistsInRegistry(string $package, string $type): void

Parameters:

Parameter Type Description
$package string
$type string

Throws:


jsonResponse

private jsonResponse(array $data, int $status = 200): \Psr\Http\Message\ResponseInterface

Parameters:

Parameter Type Description
$data array
$status int

Throws:


assertExtensionCanBeRemoved

private assertExtensionCanBeRemoved(string $package, string $type): void

Parameters:

Parameter Type Description
$package string
$type string

Throws:


isExtensionEnabledOnAnySubsite

private isExtensionEnabledOnAnySubsite(string $package, string $type): bool

Parameters:

Parameter Type Description
$package string
$type string

Throws:


isPluginPackageActivatedOnAnySite

private isPluginPackageActivatedOnAnySite(string $package): bool

Parameters:

Parameter Type Description
$package string

Throws:


isThemePackageActivatedOnAnySite

private isThemePackageActivatedOnAnySite(string $package): bool

Parameters:

Parameter Type Description
$package string

Throws:


classBelongsToExtensionPackage

private classBelongsToExtensionPackage(string $class, string $package, string $type): bool

Parameters:

Parameter Type Description
$class string
$package string
$type string

getPackageSlug

private getPackageSlug(string $package): string

Parameters:

Parameter Type Description
$package string

getExtensionInstallPath

private getExtensionInstallPath(string $package, string $type): string|false

Parameters:

Parameter Type Description
$package string
$type string